Package org.drinkless.tdlib

# Class TdApi.UserAuctionBid

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserAuctionBid

Enclosing class:
  `TdApi`

public static class TdApi.UserAuctionBid extends TdApi.Object
Describes a bid of the current user in an auction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bidDate`
  Point in time (Unix timestamp) when the bid was made.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `nextBidStarCount`
  The minimum number of Telegram Stars that can be put for the next bid.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the user or the chat that will receive the auctioned item.
  `long`
  `starCount`
  The number of Telegram Stars that were put in the bid.
  `boolean`
  `wasReturned`
  True, if the bid was returned to the user, because it was outbid and can't win anymore.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserAuctionBid()`
  Describes a bid of the current user in an auction.
  `UserAuctionBid(long starCount, int bidDate, long nextBidStarCount, TdApi.MessageSender ownerId, boolean wasReturned)`
  Describes a bid of the current user in an auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    The number of Telegram Stars that were put in the bid.

  - ### bidDate

    public int bidDate
    Point in time (Unix timestamp) when the bid was made.

  - ### nextBidStarCount

    public long nextBidStarCount
    The minimum number of Telegram Stars that can be put for the next bid.

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the user or the chat that will receive the auctioned item. If the auction is opened in context of another user or chat, then a warning is supposed to be shown to the current user.

  - ### wasReturned

    public boolean wasReturned
    True, if the bid was returned to the user, because it was outbid and can't win anymore.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserAuctionBid

    public UserAuctionBid()
    Describes a bid of the current user in an auction.

  - ### UserAuctionBid

    public UserAuctionBid(long starCount, int bidDate, long nextBidStarCount, TdApi.MessageSender ownerId, boolean wasReturned)
    Describes a bid of the current user in an auction.
    Parameters:
      `starCount` - The number of Telegram Stars that were put in the bid.
      `bidDate` - Point in time (Unix timestamp) when the bid was made.
      `nextBidStarCount` - The minimum number of Telegram Stars that can be put for the next bid.
      `ownerId` - Identifier of the user or the chat that will receive the auctioned item. If the auction is opened in context of another user or chat, then a warning is supposed to be shown to the current user.
      `wasReturned` - True, if the bid was returned to the user, because it was outbid and can't win anymore.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR